Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.render
Class PortletContainerRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.PortletContainerRenderer

Direct Known Subclasses:
  DefaultContainerRenderer

public abstract class PortletContainerRenderer
extends java.lang.Object

A PortletContainerRenderer is a utility class that renders the container for a portlet. The container that is renderered may vary depending on the SHOW mode that is being requested. For example, Edit, Edit Defaults. Help, About, and Show Details are all rendered in "full screen" mode whereas the regular Show and Preview modes have variable size containers depending on the size of the portlet.

Field Summary
`static java.lang.String` | `ACTION_PARAM_NAME` This is the key used in the parameter map of the render methods in this class to override the name of the hidden field that indicates the button clicked in EDIT or EDIT_DEFAULTS mode (`"OK"` or `"APPLY"`).
`static java.lang.String` | `CUSTOMIZE_FORM_NAME` Default form name.
`static java.lang.String` | `DEFAULT_ACTION_PARAM` Default action parameter name.
`static java.lang.String` | `EDIT_FORM_NAME` This is the key used in the parameter map of the render methods in this class to override the name of the edit form object (as referenced by javascript code) when the mode to be rendered is EDIT or EDIT_DEFAULTS.
`static java.lang.String` | `HELP_URL` This is the key used in the parameter map of the render methods in this class to pass a URL that displays context sensitive help for the current screen (does not apply in SHOW mode).
`static java.lang.String` | `PORTLET_TITLE` This is the key used in the parameter map of the render methods in this class to override the portlet title to be rendered.
`static java.lang.String` | `PRINT_WRITER` This is the key used in the parameter map of the render methods in this class to specify the `Writer` to output to.
`static java.lang.String` | `RENDER_CUSTOMIZE` This is the key used in the parameter map of the render methods in this class to specify whether a header should be rendered when the mode to be rendered is EDIT or EDIT_DEFAULTS.
`static java.lang.String` | `RENDER_MODE` This is the key used in the parameter map of the render methods in this class to override the mode to be rendered.

Constructor Summary
`PortletContainerRenderer()`

Method Summary
`void` | `renderAboutFooter(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the footer for the portlet ABOUT mode
`void` | `renderAboutFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderAboutFooter(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderAboutHeader(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the header for the portlet ABOUT mode
`void` | `renderAboutHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderAboutHeader(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderDetailsFooter(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the footer for the portlet SHOW_DETAILS mode
`void` | `renderDetailsFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderDetailsFooter(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderDetailsHeader(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the header for the portlet SHOW_DETAILS mode
`void` | `renderDetailsHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderDetailsHeader(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderEditDefaultsFooter(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the footer for the portlet EDIT_DEFAULTS mode
`void` | `renderEditDefaultsFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderEditDefaultsFooter(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderEditDefaultsHeader(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the header for the portlet EDIT_DEFAULTS mode
`void` | `renderEditDefaultsHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderEditDefaultsHeader(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderEditFooter(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the footer for the portlet EDIT mode
`void` | `renderEditFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderEditFooter(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderEditHeader(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the header for the portlet EDIT mode
`void` | `renderEditHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderEditHeader(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderHelpFooter(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the footer for the portlet HELP mode
`void` | `renderHelpFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderHelpFooter(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderHelpHeader(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the header for the portlet HELP mode
`void` | `renderHelpHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderHelpHeader(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderPortletFooter(PortletRenderRequest request, java.util.Map params)` Renders a portlet footer.
`void` | `renderPortletFooter(PortletRenderRequest request, ParameterMap params)` Deprecated. use `renderPortletFooter(PortletRenderRequest, Map)`
`void` | `renderPortletHeader(PortletRenderRequest request, java.util.Map params)` Renders a portlet header.
`void` | `renderPortletHeader(PortletRenderRequest request, ParameterMap params)` Deprecated. use `renderPortletHeader(PortletRenderRequest, Map)`
`void` | `renderPreviewFooter(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the footer for the portlet PREVIEW mode
`void` | `renderPreviewFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderPreviewFooter(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderPreviewHeader(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the header for the portlet PREVIEW mode
`void` | `renderPreviewHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderPreviewHeader(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderShowFooter(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the footer for the portlet SHOW mode
`void` | `renderShowFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderShowFooter(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderShowHeader(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the header for the portlet SHOW mode
`void` | `renderShowHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderShowHeader(PortletRenderRequest, PrintWriter, Map)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORTLET_TITLE

    public static final java.lang.String PORTLET_TITLE

  This is the key used in the parameter map of the render methods in this class to override the portlet title to be rendered. It should be mapped to a value of type `java.lang.String`. If not specified in the map, this defaults to the customized portlet title or portlet title in provider.xml in SHOW mode and a mode specific title describing the mode in other modes.

  See Also:
    Constant Field Values

### RENDER_MODE

    public static final java.lang.String RENDER_MODE

  This is the key used in the parameter map of the render methods in this class to override the mode to be rendered. It should be mapped to one of the integer mode values in `PortletRenderer`, wrapped as a `java.lang.Integer`. If not specified in the map, the render mode will be determined from the PortletRenderRequest. This parameter is included for backwards compatibility with `PortletRendererUtil.renderPortletHeader(PortletRenderRequest, java.io.Writer, String, int)`.

  See Also:
    Constant Field Values

### RENDER_CUSTOMIZE

    public static final java.lang.String RENDER_CUSTOMIZE

  This is the key used in the parameter map of the render methods in this class to specify whether a header should be rendered when the mode to be rendered is EDIT or EDIT_DEFAULTS. It should be mapped to a value of type `java.lang.Boolean`. When `true` (the default), a header and footer are rendered in EDIT mode.

  See Also:
    Constant Field Values

### EDIT_FORM_NAME

    public static final java.lang.String EDIT_FORM_NAME

  This is the key used in the parameter map of the render methods in this class to override the name of the edit form object (as referenced by javascript code) when the mode to be rendered is EDIT or EDIT_DEFAULTS. It should be mapped to a value of type `java.lang.String`. If not specified in the map, this defaults to the value `CUSTOMIZE_FORM_NAME`.

  See Also:
    Constant Field Values

### ACTION_PARAM_NAME

    public static final java.lang.String ACTION_PARAM_NAME

  This is the key used in the parameter map of the render methods in this class to override the name of the hidden field that indicates the button clicked in EDIT or EDIT_DEFAULTS mode (`"OK"` or `"APPLY"`). It should be mapped to a value of type `java.lang.String`. If not specified in the map, this defaults to the value `DEFAULT_ACTION_PARAM`.

  See Also:
    Constant Field Values

### HELP_URL

    public static final java.lang.String HELP_URL

  This is the key used in the parameter map of the render methods in this class to pass a URL that displays context sensitive help for the current screen (does not apply in SHOW mode). Note that this is not the URL that is used to access the portlet's HELP mode. It should be mapped to a value of type `java.lang.String`. If not specified in the map, no context sensitive help link is generated.

  See Also:
    Constant Field Values

### PRINT_WRITER

    public static final java.lang.String PRINT_WRITER

  This is the key used in the parameter map of the render methods in this class to specify the `Writer` to output to. It should be mapped to a value of type `java.io.Writer`. If not specified in the map, the `PrintWriter` returned by `PortletRenderRequest.getWriter()` will be used. If you are calling RenderPortletHeader or RenderPortletFooter from a JSP, it is important that you use the same Writer to render all the JSP content - either the JSPWriter or PortletRenderRequest.getWriter(). Mixing writers can cause output to be displayed out of sequence due to buffering in the JSPWriter.

  See Also:
    Constant Field Values

### CUSTOMIZE_FORM_NAME

    public static final java.lang.String CUSTOMIZE_FORM_NAME

  Default form name. This value is used for the customize form name if a value is not supplid in the parameter map

  See Also:
    Constant Field Values

### DEFAULT_ACTION_PARAM

    public static final java.lang.String DEFAULT_ACTION_PARAM

  Default action parameter name. This value is used for the name of the hidden field that will capture the form action (button pressed) if a value is not supplied by the caller in the parameter map

  See Also:
    Constant Field Values

Constructor Detail

### PortletContainerRenderer

    public PortletContainerRenderer()

Method Detail

### renderPortletHeader

    public void renderPortletHeader(PortletRenderRequest request,
                                    java.util.Map params)
                             throws PortletException

  Renders a portlet header.

  The container that is rendered should be dependent on the mode that is being renderered

  Parameters:
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be `null` if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`

### renderPortletFooter

    public void renderPortletFooter(PortletRenderRequest request,
                                    java.util.Map params)
                             throws PortletException

  Renders a portlet footer. The container that is rendered should be dependent on the mode that is being renderered

  Parameters:
    `request` - PortletRenderRequest for this rendering
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be `null` if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`

### renderShowHeader

    public void renderShowHeader(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 java.util.Map params)
                          throws PortletException,
                                 java.io.IOException

  Renders the header for the portlet SHOW mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be empty if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`
    `java.io.IOException`

### renderShowFooter

    public void renderShowFooter(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 java.util.Map params)
                          throws PortletException,
                                 java.io.IOException

  Renders the footer for the portlet SHOW mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be empty if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`
    `java.io.IOException`

### renderPreviewHeader

    public void renderPreviewHeader(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    java.util.Map params)
                             throws PortletException,
                                    java.io.IOException

  Renders the header for the portlet PREVIEW mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be empty if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`
    `java.io.IOException`

### renderPreviewFooter

    public void renderPreviewFooter(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    java.util.Map params)
                             throws PortletException,
                                    java.io.IOException

  Renders the footer for the portlet PREVIEW mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be empty if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`
    `java.io.IOException`

### renderDetailsHeader

    public void renderDetailsHeader(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    java.util.Map params)
                             throws PortletException,
                                    java.io.IOException

  Renders the header for the portlet SHOW_DETAILS mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be empty if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`
    `java.io.IOException`

### renderDetailsFooter

    public void renderDetailsFooter(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    java.util.Map params)
                             throws PortletException,
                                    java.io.IOException

  Renders the footer for the portlet SHOW_DETAILS mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be empty if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`
    `java.io.IOException`

### renderEditHeader

    public void renderEditHeader(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 java.util.Map params)
                          throws PortletException,
                                 java.io.IOException

  Renders the header for the portlet EDIT mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be empty if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`
    `java.io.IOException`

### renderEditFooter

    public void renderEditFooter(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 java.util.Map params)
                          throws PortletException,
                                 java.io.IOException

  Renders the footer for the portlet EDIT mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be empty if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`
    `java.io.IOException`

### renderEditDefaultsHeader

    public void renderEditDefaultsHeader(PortletRenderRequest request,
                                         java.io.PrintWriter out,
                                         java.util.Map params)
                                  throws PortletException,
                                         java.io.IOException

  Renders the header for the portlet EDIT_DEFAULTS mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be empty if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`
    `java.io.IOException`

### renderEditDefaultsFooter

    public void renderEditDefaultsFooter(PortletRenderRequest request,
                                         java.io.PrintWriter out,
                                         java.util.Map params)
                                  throws PortletException,
                                         java.io.IOException

  Renders the footer for the portlet EDIT_DEFAULTS mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be empty if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`
    `java.io.IOException`

### renderHelpHeader

    public void renderHelpHeader(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 java.util.Map params)
                          throws PortletException,
                                 java.io.IOException

  Renders the header for the portlet HELP mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be empty if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`
    `java.io.IOException`

### renderHelpFooter

    public void renderHelpFooter(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 java.util.Map params)
                          throws PortletException,
                                 java.io.IOException

  Renders the footer for the portlet HELP mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be empty if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`
    `java.io.IOException`

### renderAboutHeader

    public void renderAboutHeader(PortletRenderRequest request,
                                  java.io.PrintWriter out,
                                  java.util.Map params)
                           throws PortletException,
                                  java.io.IOException

  Renders the header for the portlet ABOUT mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be empty if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`
    `java.io.IOException`

### renderAboutFooter

    public void renderAboutFooter(PortletRenderRequest request,
                                  java.io.PrintWriter out,
                                  java.util.Map params)
                           throws PortletException,
                                  java.io.IOException

  Renders the footer for the portlet ABOUT mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - `Map` specifying parameters which override the default rendering behaviour. May be empty if the default rendering behaviour is acceptable. Keys should be one of the string key constants defined in this class. See the description of each key constant for acceptable mapped values.
    `PortletException`
    `java.io.IOException`

### renderPortletHeader

    public void renderPortletHeader(PortletRenderRequest request,
                                    ParameterMap params)
                             throws PortletException

  Deprecated. use `renderPortletHeader(PortletRenderRequest, Map)`

  Renders a portlet header The container that is rendered should be dependent on the mode that is being renderered

  Parameters:
    `params` - Parameters for rendering the container
    `PortletException`

### renderPortletFooter

    public void renderPortletFooter(PortletRenderRequest request,
                                    ParameterMap params)
                             throws PortletException

  Deprecated. use `renderPortletFooter(PortletRenderRequest, Map)`

  Renders a portlet footer The container that is rendered should be dependent on the mode that is being renderered

  Parameters:
    `params` - Parameters for rendering the container
    `PortletException`

### renderShowHeader

    public void renderShowHeader(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Deprecated. use `renderShowHeader(PortletRenderRequest, PrintWriter, Map)`

  Renders the header for the portlet SHOW mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderShowFooter

    public void renderShowFooter(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Deprecated. use `renderShowFooter(PortletRenderRequest, PrintWriter, Map)`

  Renders the footer for the portlet SHOW mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderPreviewHeader

    public void renderPreviewHeader(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    ParameterMap params)
                             throws PortletException,
                                    java.io.IOException

  Deprecated. use `renderPreviewHeader(PortletRenderRequest, PrintWriter, Map)`

  Renders the header for the portlet PREVIEW mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderPreviewFooter

    public void renderPreviewFooter(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    ParameterMap params)
                             throws PortletException,
                                    java.io.IOException

  Deprecated. use `renderPreviewFooter(PortletRenderRequest, PrintWriter, Map)`

  Renders the footer for the portlet PREVIEW mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderDetailsHeader

    public void renderDetailsHeader(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    ParameterMap params)
                             throws PortletException,
                                    java.io.IOException

  Deprecated. use `renderDetailsHeader(PortletRenderRequest, PrintWriter, Map)`

  Renders the header for the portlet SHOW_DETAILS mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderDetailsFooter

    public void renderDetailsFooter(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    ParameterMap params)
                             throws PortletException,
                                    java.io.IOException

  Deprecated. use `renderDetailsFooter(PortletRenderRequest, PrintWriter, Map)`

  Renders the footer for the portlet SHOW_DETAILS mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderEditHeader

    public void renderEditHeader(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Deprecated. use `renderEditHeader(PortletRenderRequest, PrintWriter, Map)`

  Renders the header for the portlet EDIT mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderEditFooter

    public void renderEditFooter(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Deprecated. use `renderEditFooter(PortletRenderRequest, PrintWriter, Map)`

  Renders the footer for the portlet EDIT mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderEditDefaultsHeader

    public void renderEditDefaultsHeader(PortletRenderRequest request,
                                         java.io.PrintWriter out,
                                         ParameterMap params)
                                  throws PortletException,
                                         java.io.IOException

  Deprecated. use `renderEditDefaultsHeader(PortletRenderRequest, PrintWriter, Map)`

  Renders the header for the portlet EDIT_DEFAULTS mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderEditDefaultsFooter

    public void renderEditDefaultsFooter(PortletRenderRequest request,
                                         java.io.PrintWriter out,
                                         ParameterMap params)
                                  throws PortletException,
                                         java.io.IOException

  Deprecated. use `renderEditDefaultsFooter(PortletRenderRequest, PrintWriter, Map)`

  Renders the footer for the portlet EDIT_DEFAULTS mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderHelpHeader

    public void renderHelpHeader(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Deprecated. use `renderHelpHeader(PortletRenderRequest, PrintWriter, Map)`

  Renders the header for the portlet HELP mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderHelpFooter

    public void renderHelpFooter(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Deprecated. use `renderHelpFooter(PortletRenderRequest, PrintWriter, Map)`

  Renders the footer for the portlet HELP mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderAboutHeader

    public void renderAboutHeader(PortletRenderRequest request,
                                  java.io.PrintWriter out,
                                  ParameterMap params)
                           throws PortletException,
                                  java.io.IOException

  Deprecated. use `renderAboutHeader(PortletRenderRequest, PrintWriter, Map)`

  Renders the header for the portlet ABOUT mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderAboutFooter

    public void renderAboutFooter(PortletRenderRequest request,
                                  java.io.PrintWriter out,
                                  ParameterMap params)
                           throws PortletException,
                                  java.io.IOException

  Deprecated. use `renderAboutFooter(PortletRenderRequest, PrintWriter, Map)`

  Renders the footer for the portlet ABOUT mode

  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.